<?php

//Array of linked services
$services = array(
    array(
        'id' => 'pihole',
        'url' => '/admin',
        'title' => 'Pi-hole',
        'description' => 'DNS-requests weergeven<br>Instellingen veranderen'
    ),

    array(
        'id' => 'ntopng',
        'url' => ':3000',
        'title' => 'ntopng',
        'description' => 'Live-netwerkverkeer weergeven'
    ),

    array(
        'id' => 'wireshark',
        'url' => ':10000',
        'title' => 'Wireshark',
        'description' => 'Opname en analyse'
    ),

    array(
        'id' => 'mitm',
        'url' => ':9090',
        'title' => 'mitm-proxy',
        'description' => 'HTTP(S)-verkeer bekijken<br><a href=#tools>in/uitschakelen</a>'
    ),

    array(
        'id' => 'caps',
        'url' => '/caps',
        'title' => 'pcap-bestanden',
        'description' => 'Opgeslagen opnames'
    ),

    array(
        'id' => 'console',
        'url' => ':4200',
        'title' => 'Console',
        'description' => 'Commandline openen'
    ),

);

$interfaces = array(array('eth0', 'Uplink naar internet'), array('br0', 'Testnetwerk'));

//array of controllable systemd services
$systemd_services = array('hostapd', 'wireshark', 'broadwayd', 'mitmweb', 'shellinabox');

//array of integrated tools
$tools = array(
    array(
        'id' => 'mitmon',
        'title' => 'mitm-proxy activeren',
        'description' => 'Firewall-regels voor het omleiden van internettoegang (poort 80 en 443) naar mitm-proxy',
        'parameters' => array(),
        'buttons' => array(
            //id, class, title
            array('mitmstart', 'btn-success mr-3', 'Activeren'),
            array('mitmstop', 'btn-danger', 'Deactiveren'),
        ),
    ),

    array(
        'id' => 'contcap',
        'title' => 'Spioneren op de achtergrond',
        'description' => 'Pakketopname starten',
        'parameters' => array(
            //title, text, default value
            array('Bestandsnaam', 'text', date('d_m_Y-h_i_s', time())),
            array('Looptijd', 'number', 600)
        ),
        'buttons' => array(
            array('contcapstart', 'btn-success mr-3', 'Starten'),
            array('contcapstop', 'btn-danger', 'Afbreken'),
        ),
    ),
    array(
        'id' => 'systemd',
        'title' => 'Diensten aanpassen',
        'description' => 'Tijdelijn beëindigen of herstarten',
        'parameters' => array(
            array('Dienst', 'select', $systemd_services)
        ),
        'buttons' => array(
            array('systemdstart', 'btn-success mr-3', 'Start'),
            array('systemdstop', 'btn-danger mr-3', 'Stop'),
            array('systemdrestart', 'btn-warning', 'Herstart'),
        ),
    ),
);
